Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.msgprocessors
Class MakeConnectionProcessor

    java.lang.Object
      org.apache.sandesha2.msgprocessors.MakeConnectionProcessor

All Implemented Interfaces:
  MsgProcessor

    public class MakeConnectionProcessor

extends java.lang.Object
implements MsgProcessor

This class is responsible for processing MakeConnection request messages that come to the system. MakeConnection is only supported by WSRM 1.1 Here a client can ask for reply messages using a polling mechanism, so even clients without real endpoints can ask for reliable response messages.

Constructor Summary
`MakeConnectionProcessor()`

Method Summary
`boolean` | `processInMessage(RMMsgContext rmMsgCtx, Transaction transaction)` Prosesses incoming MakeConnection request messages.
`boolean` | `processOutMessage(RMMsgContext rmMsgCtx, Transaction transaction)`
`static void` | `replyToPoll(RMMsgContext pollMessage, SenderBean matchingMessage, StorageManager storageManager, boolean pending, java.lang.String makeConnectionNamespace, Transaction transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MakeConnectionProcessor

    public MakeConnectionProcessor()

Method Detail

### processInMessage

    public boolean processInMessage(RMMsgContext rmMsgCtx,
                                    Transaction transaction)
                             throws org.apache.axis2.AxisFault

  Prosesses incoming MakeConnection request messages. A message is selected by the set of SenderBeans that are waiting to be sent. This is processed using a SenderWorker.

  Specified by:
    `processInMessage` in interface `MsgProcessor`
  Returns:
    true if the msg context has been paused
  Throws:
    `org.apache.axis2.AxisFault`

### replyToPoll

    public static void replyToPoll(RMMsgContext pollMessage,
                                   SenderBean matchingMessage,
                                   StorageManager storageManager,
                                   boolean pending,
                                   java.lang.String makeConnectionNamespace,
                                   Transaction transaction)
                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### processOutMessage

    public boolean processOutMessage(RMMsgContext rmMsgCtx,
                                     Transaction transaction)

  Specified by:
    `processOutMessage` in interface `MsgProcessor`
  Returns:
    true if the msg context has been paused

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.